SplFileInfo::getCTime
SplFileInfo::getFileInfo
SplFileInfo
PHP Manual

# SplFileInfo::getExtension

(PHP 5 >= 5.3.6)

SplFileInfo::getExtension — Gets the file extension

### Description

public string SplFileInfo::getExtension ( void )

Retrieves the file extension.

### Parameters

This function has no parameters.

### Return Values

Returns a string containing the file extension, or an empty string if the file has no extension.

### Examples

Example #1 SplFileInfo::getExtension() example

`<?php
$info = new SplFileInfo('foo.txt');
var_dump($info->getExtension());
$info = new SplFileInfo('photo.jpg');
var_dump($info->getExtension());
$info = new SplFileInfo('something.tar.gz');
var_dump($info->getExtension());
?>`

The above example will output:

    string(3) "txt"
    string(3) "jpg"
    string(2) "gz"

### Notes

> Note:

> This method is only available as of PHP 5.3.6. Another way of getting the extension is to use the pathinfo() function.

> `<?php
> $extension = pathinfo($info->getFilename(), PATHINFO_EXTENSION);
> ?>`

### See Also

- SplFileInfo::getFilename() - Gets the filename
- SplFileInfo::getBasename() - Gets the base name of the file
- pathinfo() - Returns information about a file path

SplFileInfo::getCTime
SplFileInfo::getFileInfo
SplFileInfo
PHP Manual